Target product questions
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-target-products-questions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "86216189",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-target-products-questions"
payload = {
"product": "86216189",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '86216189', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-target-products-questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "target_products_questions",
"product": "86216189",
"product_id": "86216189",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Target product questions\n\n- **Product (TCIN):** 86216189\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 6.0 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "eadb50bd-0c1a-44f4-9db4-8bf2fe70471b",
"text": "What age is this for?",
"author": "Kay",
"badges": [],
"helpful_count": 0,
"unhelpful_count": 0,
"created_at": "2026-02-21T17:08:47.172Z",
"updated_at": "2026-02-24T03:32:29.869Z",
"answer_count": 1,
"answers": [
{
"id": "de93de19-20de-4544-9d99-44d06413ecb7",
"text": "The 31134 LEGO Creator 3 in 1 Space Shuttle is for recommended ages 6+ as seen on the box, however it can be built by anyone of any age! - Redd, LEGO® Customer Service",
"author": "LEGO Customer Service",
"badges": [
"BRAND_EXPERT"
],
"helpful_count": 1,
"unhelpful_count": 0,
"created_at": "2026-02-25T09:15:31Z",
"updated_at": "2026-07-10T22:15:11.450Z"
}
]
},
"items": [
{
"id": "eadb50bd-0c1a-44f4-9db4-8bf2fe70471b",
"text": "What age is this for?",
"author": "Kay",
"badges": [],
"helpful_count": 0,
"unhelpful_count": 0,
"created_at": "2026-02-21T17:08:47.172Z",
"updated_at": "2026-02-24T03:32:29.869Z",
"answer_count": 1,
"answers": [
{
"id": "de93de19-20de-4544-9d99-44d06413ecb7",
"text": "The 31134 LEGO Creator 3 in 1 Space Shuttle is for recommended ages 6+ as seen on the box, however it can be built by anyone of any age! - Redd, LEGO® Customer Service",
"author": "LEGO Customer Service",
"badges": [
"BRAND_EXPERT"
],
"helpful_count": 1,
"unhelpful_count": 0,
"created_at": "2026-02-25T09:15:31Z",
"updated_at": "2026-07-10T22:15:11.450Z"
}
]
},
{
"id": "aa396965-7737-403f-b275-535ff573d44b",
"text": "how long does it take to older kids or grown-ups build the Space Shuttle?\n(asking cuz I'm considering building this set as an activity at my birthday party).",
"author": "MicahelHay",
"badges": [],
"helpful_count": 0,
"unhelpful_count": 0,
"created_at": "2025-11-30T20:14:09.598Z",
"updated_at": "2025-12-04T03:10:05.030Z",
"answer_count": 1,
"answers": [
{
"id": "2e49b938-ad2f-4110-8a80-7738eb2871bb",
"text": "Build time will be dependent on the builder, their experience and the difficulty level of the LEGO® set!",
"author": "LEGO Customer Service",
"badges": [
"BRAND_EXPERT"
],
"helpful_count": 1,
"unhelpful_count": 2,
"created_at": "2025-12-01T16:23:01Z",
"updated_at": "2026-08-31T16:32:12.920Z"
}
]
}
],
"proxy_traffic_bytes": 6160
},
"total_points": 2
}E-commerce & Marketplaces
Target product questions
Customer questions and their answers for a Target product by TCIN or URL. 1 point per returned record.
POST
/
functions
/
v1
/
run-target-products-questions
Target product questions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.